Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSTERF

    java.lang.Object
      org.netlib.lapack.SSTERF

    public class SSTERF

extends java.lang.Object

    SSTERF is a simplified interface to the JLAPACK routine ssterf.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSTERF computes all eigenvalues of a symmetric tridiagonal matrix
     *  using the Pal-Walker-Kahan variant of the QL or QR algorithm.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix.  N >= 0.
     *
     *  D       (input/output) REAL array, dimension (N)
     *          On entry, the n diagonal elements of the tridiagonal matrix.

     *          On exit, if INFO = 0, the eigenvalues in ascending order.
     *
     *  E       (input/output) REAL array, dimension (N-1)
     *          On entry, the (n-1) subdiagonal elements of the tridiagonal
     *          matrix.
     *          On exit, E has been destroyed.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  the algorithm failed to find all of the eigenvalues in

     *                a total of 30*N iterations; if INFO = i, then i
     *                elements of E have not converged to zero.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSTERF()`

Method Summary
`static void` | `SSTERF(int n, float[] d, float[] e, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTERF

    public SSTERF()

Method Detail

### SSTERF

    public static void SSTERF(int n,
                              float[] d,
                              float[] e,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD